///////////////////////////////////////// Plot - PlotView+Draw.h (mwx,16.02.06)

#import <Cocoa/Cocoa.h>
#import "PlotView.h"

@interface PlotView (Draw)

- (void)plotBar:(DataBuffer *)b:(double)x:(double)y:(int)mode;
- (void)plotErrorBar:(DataBuffer *)b:(double)x:(double)y:(int)index:(int)mode;
- (void)plotLegend:(int)mode;
- (void)plotSymbol:(DataBuffer *)b:(double)x:(double)y:(int)mode;
- (NSSize)drawAxis:(int)axis:(double)min:(double)max;
- (NSSize)drawNumber:(double)num x:(double)x y:(double)y align:(int)align
		font:(NSFont *)font color:(NSColor *)col expoff:(int)exl;
- (NSString *)scaletext:(double)val:(int)exl;
- (NSSize)textSize:(NSString *)str font:(NSFont *)font;
- (NSSize)drawText:(NSString *)str x:(double)x y:(double)y align:(int)align
		or:(int)orientation font:(NSFont *)font color:(NSColor *)col;
- (void)crossHair:(NSPoint)loc;

@end ////////////////////////////////////////////////////////////////////// END
